Subject: [PATCH] RS485: fix inconsistencies in the meaning of some variables

From: [email-masked] (Greg KH)
Date: Tue, 8 Nov 2011 06:24:32 -0800

On Tue, Nov 08, 2011 at 01:48:04PM +0000, Alan Cox wrote:
> > The modifications that I have proposed are very minimal, and most 
> > user-space code should continue to work without any difference. Any Cris 
> > user-space code will continue to work, because we didn't change the 
> > behavior of the driver. For Atmel user-space code, instead, the behavior 
> > of the driver changes only if flags are not set and delay variables 
> > contain a value different than 0 (which, hopefully, is not a very common 
> > situation). That's the reason why I preferred to not change the names of 
> > the variables, even if better names would be desirable.
> 
> We have inconsistency between implementations. We don't have a change in
> implementation. There isn't any way to resolve that except by fixing the
> deviating implementation and doing it promptly.
> 
> With my tty hat on I'm quite happy with this patch. The sooner it is
> upstream the better.

Ok, I'll push to get it to Linus for the next rc release.

greg k-h